//
//	File: sprite.h
//
//	This file is the header for sprite.c.
//
//	2/18/95 -- Created by Mick
//

// shield
#ifndef _sprite_h_
#define _sprite_h_

// include files

#include <QDOffscreen.h>

// global defines

// global typedefs

typedef struct
{
	Rect fSpriteRect;								// the rect that defines the bounds of the sprite
	GWorldPtr fSpriteWorld;			// the gworld for the sprite data
	PixMapHandle fSpritePix;		// the pixmap of the sprite data
} tSpriteInfo;

// extern functions

extern tSpriteInfo *loadSprite( signed short inSpriteResID );
extern void disposeSprite( tSpriteInfo *inSpriteInfo );
extern void startSpriteDraw( Rect *inClipRect, PixMapHandle inDestPixMap );
extern void endSpriteDraw( void );
extern void drawSprite( tSpriteInfo *inSpriteInfo, Point inWhere );

// extern data

// end of shield
#endif // #ifndef _sprite_h_
