//
//	File: global.h
//
//	This file contains defines of a global nature.
//
//	2/18/95 -- Created by Mick
//

// shield
#ifndef _global_h_
#define _global_h_

// global defines

// useful constants
#define kNil															0L														// the value of an invalid pointer
#define kTrue														1														// the value of truth
#define kFalse 													0														// the value of untruth

#define kWindowInFront						( WindowPtr )-1L		// the value to pass to NewWindow to place the window in the front

#define kSpriteResType						'Sprt'											// the res type of a sprite resource

// resource ids

// color tables ('clut')
#define kAppColorTableResID		128					// the resource id of the clut resource that defines the colors for the program

// windows ('WIND')
#define kMainWindowResID				128					// the resource id of the WIND resource for the main window

// picts ('PICT')
#define kNumberOne									201					// the resource id of the picture of the 1 disk
#define kNumberTwo									202					// the resource id of the picture of the 2 disk
#define kNumberThree							203					// the resource id of the picture of the 3 disk
#define kNumberFour								204					// the resource id of the picture of the 4 disk
#define kNumberFive									205					// the resource id of the picture of the 5 disk
#define kNumberSix									206					// the resource id of the picture of the 6 disk
#define kNumberSeven							207					// the resource id of the picture of the 7 disk
#define kNumberEight								208					// the resource id of the picture of the 8 disk
#define kNumberNine									209					// the resource id of the picture of the 9 disk
#define kNumberTen									210					// the resource id of the picture of the 10 disk

// end of shield
#endif // #ifndef _global_h_
